
<div class="row clearfix">
  <form method="POST" >
    <% if ( start == `yes` ) { %>
      <script type="text/javascript">
        var ajax_url = "<%- ajax_url  %>";
        jQuery(function($){
          $.getJSON(ajax_url, {fetch_url:'http://localhost:4040/api/tunnels'}, function(data){
            var tunnels = data.tunnels;
            console.log(tunnels)
            $.each(tunnels, function(i, tunnel){
              if(tunnel.proto == 'https') {
                $('.ngrok-status').html('<div class="alert alert-success">Remote url: '+ tunnel.public_url +'/admin</div>')
              }
            });
          })
          .fail(function() {
            $('.ngrok-status').html('<div class="alert alert-warning">ngrok not running. Restarting software may fixed the issue. If persist, please reboot device.</div>');
          })
        })
      </script>
      <div class="col-sm-12 ngrok-status">Checking remote url.</div>
    <% } %>
    <div class="col-sm-12">
      <h2 class="card-inside-title">Ngrok Tunnel Authtoken</h2>
      <div class="form-group form-float">
        <div class="form-line">
          <input type="text" name="ngrok-authtoken1" required="required" class="form-control" value="<%- ngrok_authtoken||`` %>">
          <label class="form-label">Enter your ngrok authtoken here.</label>
        </div>
      </div>
    </div>
    <div class="col-sm-12">
      <button type="submit" name="ngrok-save" class="btn btn-primary waves-effect">Save</button>
    </div>
  </form>
  <% if ( ngrok_authtoken ) { %>
    <form method="POST" >
      <div class="col-sm-12">
        <button type="submit" name="ngrok" value="<%- start == `yes`?`stop`:`start` %>" class="btn btn-primary waves-effect"><%- start == `yes`?`Stop`:`Start` %> Ngrok Tunnel</button>
      </div>
    </form>
  <% } %>
</div>
<div class="row clearfix"> 
  <div class="col-sm-12">
    <div class="alert alert-info"><strong>Note: </strong> ngrok does not allow multiple devices running in one account/authtoken. But there's no limit on how many can connect to the tunnel.</div>
    <div class="alert alert-info"><strong>Note: </strong> ngrok will give random url. If you want to change/revoke url, just restart your ngrok. You can also get url when you logged in in ngrok website.</div>
  </div>
</div>
<div class="row clearfix">  
  <div class="col-sm-6">
    <h3>Getting started.</h3>
    <h5>Step 1.</h5>
    <p>Create an account on <a href="https://dashboard.ngrok.com/">ngrok.com</a>. Skip this step if you already have an account. One account, one pisowifi.</p> 
    <h5>Step 2.</h5>
    <p>Login and visit this page <a href="https://dashboard.ngrok.com/auth">https://dashboard.ngrok.com/auth</a> to get your authtoken. </p>
    <h5>Step 3.</h5>
    <p>Enter your authtoken above and click save.</p>
    <h5>Step 4.</h5>
    <p>Restart Pisowifi Software.</p>
    <h5>Step 5.</h5>
    <p>Press start button to start your remote.</p>
  </div>
  <div class="col-sm-6">
    <h3>Using Ngrok as remote anywhere.</h3>
    <h5>Step 1.</h5>
    <p>Login on <a href="https://dashboard.ngrok.com/">ngrok.com</a>.</p>
    <h5>Step 2.</h5>
    <p>Visit this link <a href="https://dashboard.ngrok.com/status/">ngrok status</a> and get your url. Example url is https://ac294125.ngrok.io</p>
    <h5>Step 3.</h5>
    <p>Add /admin at the end of the url. Example admin url is https://ac294125.ngrok.io/admin. Login your admin account.</p>
  </div>
</div>